Name:           gnugo
Version:        3.6
Release:        6%{?dist}

Summary:        Text based go program

Group:          Amusements/Games
License:        GPL
URL:            http://www.gnu.org/software/gnugo/gnugo.html
Source0:        http://ftp.gnu.org/gnu/gnugo/gnugo-3.6.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel
BuildRequires:  texinfo
Requires(post): info
Requires(preun): info


%description
This software is a free program that plays the game of Go. GNU Go has played
thousands of games on the NNGS Go server. GNU Go is now also playing regularly
on the Legend Go Server in Taiwan and the WING server in Japan.


%prep
rm -rf ${RPM_BUILD_ROOT}
%setup -q


%build
%configure --enable-color
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
rm -f ${RPM_BUILD_ROOT}/%{_infodir}/dir

%clean
rm -rf ${RPM_BUILD_ROOT}


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO THANKS doc/newlogo.jpg doc/oldlogo.jpg
%doc %{_mandir}/man6/*
%{_bindir}/*
%{_infodir}/gnugo.*


%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.6-6
- Autorebuild for GCC 4.3

* Mon Oct  9 2006 Michel Salim <michel.salim@gmail.com> 3.6-5
- Rebuild for FE6

* Wed Mar  1 2006 Chris Ricker <kaboom@oobleck.net> 3.6-4
- rebuild for FE 5
- add dist tag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Feb 14 2005 David Woodhouse <dwmw2@infradead.org> - 3.4-2
- Remove unpackaged %%{_infodir}/dir which breaks build

* Sat Nov 27 2004 Phillip Compton <pcompton at proteinmedia dot com> - 3.4-1
- 3.6.

* Thu Nov 11 2004 Phillip Compton <pcompton at proteinmedia dot com> - 3.4-0.fdr.3
- Clean up spec/Bump release.

* Tue Aug 05 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.4-0.fdr.2
- Added logos to %%doc.

* Sat Aug 02 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.4-0.fdr.1
- Updated to 3.4.

* Fri Jul 18 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.23-0.fdr.1
- Updated to 3.3.23.

* Mon Jul 14 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.22-0.fdr.2
- post/preun require texinfo -> info.
- fix in preun script.

* Mon Jul 07 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.22-0.fdr.1
- Updated to 3.3.22.

* Thu Jun 19 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.21-0.fdr.2
- Corrected changelog typo.

* Sat Jun 14 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.21-0.fdr.1
- Updated to 3.3.21.

* Wed Jun 04 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.20-0.fdr.1
- Updated to 3.3.20.

* Thu May 08 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.19-0.fdr.2
- Applied patch from Adrian.
- Removed INSTALL from docs.
- Replaced buildroot with RPM_BUILD_ROOT.

* Tue Apr 29 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.19-0.fdr.1
- Updated to 3.3.19

* Sun Apr 27 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.18-0.fdr.2
- Removed hard coded paths.
- Added ncurses-devel as BuildRequires.
- Fixed Group.

* Fri Apr 25 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.18-0.fdr.1
- Updated to 3.3.18.

* Fri Apr 18 2003 Phillip Compton <pcompton at proteinmedia dot com> - 0:3.3.14-0.fdr.1
- Fedorafied

* Thu Aug 22 2002 Kevin Sonney <ksonney@redhat.com> 3.3.14-1
- Version bump

* Thu Aug 22 2002 Kevin Sonney <ksonney@redhat.com> 3.2-0.1
- Initial Spec File

